#
# spec file for package soft66
#
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 1
%define libname libsoft66-%{sover}
%define realver 0.1.3-test
%define soft66_group    soft66

Name:           soft66
Version:        0.1.3
Release:        lp154.3.1
Summary:        Support programs for Soft66 SDR receivers
License:        GPL-3.0
Group:          Productivity/Hamradio/Other
Url:            http://www.infowares.com/soft66/
Source:         http://www.infowares.com/soft66/%{name}-%{realver}.tar.gz
Source1:        soft66.udev
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libftdi)
BuildRequires:  pkgconfig(udev)

%description
Command line utility for controlling the Soft66 series of SDR receivers
from Kazunori Miura JA7TDO.

%package -n %{libname}
Summary:        SDR driver for Soft66 SDR devices
License:        LGPL-3.0+
Group:          Hardware/Other
Requires:       %{name}-udev

%description -n %{libname}
A driver library for controlling the Soft66 series of SDR receivers
from Kazunori Miura JA7TDO.

%package udev
Summary:        Udev rules for Soft66 SDR
Group:          Hardware/Other
Requires(pre):  shadow

%description udev
Udev rules for Soft66 SDR.

%package devel
Summary:        Development files for libsoft66
License:        LGPL-3.0+
Group:          Development/Libraries/Other
Requires:       %{libname} = %{version}

%description devel
Library headers and other development files for libsoft66.

%prep
%setup -q -n %{name}-%{realver}

%build
export CFLAGS="%{optflags} -Wno-return-type "
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f \( -name '*.a' -o -name '*.la' \) -delete -print
#install udev rules
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/95-soft66.rules

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p/sbin/ldconfig

%pre udev
getent group %{soft66_group} >/dev/null || groupadd -r %{soft66_group}

%post udev
%udev_rules_update

%postun udev
%udev_rules_update

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.LESSER README
%{_bindir}/soft66-control

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsoft66.so.%{sover}*

%files udev
%defattr(-,root,root)
%{_udevrulesdir}/95-soft66.rules

%files devel
%defattr(-,root,root)
%{_libdir}/libsoft66.so
%{_includedir}/soft66.h

%changelog
* Mon Jun 22 2020 Martin Hauke <mardnh@gmx.de>
- Add -Wno-return-type to CFLAGS to unbreak the build
* Fri Jun 23 2017 mardnh@gmx.de
- initial package, version 0.1.3-test
